commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gary Gregory <garydgreg...@gmail.com>
Subject Re: [ALL] Clirr doesn't work with Java 8 (and it seems to be our fault ;-)
Date Sat, 26 Jul 2014 13:14:43 GMT
I think the trunk handles some or all of Java 8 now. See BCEL-174, BCEL-175.

Gary


On Sat, Jul 26, 2014 at 6:43 AM, Benedikt Ritter <britter@apache.org> wrote:

> Hi,
>
> when building [lang] with Java 8 I get the following error [1]: Caused by:
> org.apache.bcel.classfile.ClassFormatException: Invalid byte tag in
> constant pool: 18
>
> So it looks like Clirr is using a BCEL version that doesn't support Java 8.
> Can anybody tell me what the current state of BCEL is? We have version 6 in
> trunk. the latest release is 5.2. So I assume we're breaking BC. Can we
> release a fix for 5.2 that can handle Java 8?
>
> Regards,
> Benedikt
>
> [1] https://paste.apache.org/khuq
>
> --
> http://people.apache.org/~britter/
> http://www.systemoutprintln.de/
> http://twitter.com/BenediktRitter
> http://github.com/britter
>



-- 
E-Mail: garydgregory@gmail.com | ggregory@apache.org
Java Persistence with Hibernate, Second Edition
<http://www.manning.com/bauer3/>
JUnit in Action, Second Edition <http://www.manning.com/tahchiev/>
Spring Batch in Action <http://www.manning.com/templier/>
Blog: http://garygregory.wordpress.com
Home: http://garygregory.com/
Tweet! http://twitter.com/GaryGregory

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message